<template>
  <div class="p20">
    <el-card shadow="always" :body-style="{ padding: '20px' }">
      <SearchForm ref="SearchForm" @search="getTableList" />
    </el-card>
  </div>
</template>

<script>
import SearchForm from './components/SearchForm.vue';
export default {
  components: {
    SearchForm
  },
  data() {
    return {
      searchForm: {
        pageNum: 1,
        pageSize: 20
      }
    };
  },
  methods: {
    getTableList() {
      const tempForm = this.$refs.SearchForm.searchForm;
      const params = { ...this.searchForm, ...tempForm };
      console.log(params);
      // api.list(params)
    }
  }
};
</script>

<style lang="scss" scoped>
</style>
